<?php

namespace BexioConnectorByHelvy;

defined( 'ABSPATH' ) || exit;

trait Singleton {

    protected static $instance;

    public static function instance() {
        $class = get_called_class();
        if (!isset(static::$instance)) {
            static::$instance = new $class();
        }
        return static::$instance;
    }
    
    protected function __construct() {}
}